# [−] [src] Module db::kv

## Structs

AutoFlushingOverlayDatabase |
CacheDatabase |
CompactionProfile | Compaction profile for the database settings
DatabaseConfig | Database configuration
DiskDatabase | Key-Value database.
MemoryDatabase |
OverlayDatabase |
RawKey |
RawKeyValue |
RawTransaction |
SharedMemoryDatabase |
Transaction |

## Enums

Key |
KeyState |
KeyValue |
Location |
Operation |
RawOperation |
Value |

## Constants

COL_BLOCK_HASHES |
COL_BLOCK_HEADERS |
COL_BLOCK_NUMBERS |
COL_BLOCK_TRANSACTIONS |
COL_COUNT |
COL_META |
COL_TRANSACTIONS |
COL_TRANSACTIONS_META |

## Traits

KeyValueDatabase |

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)

Search multiple things at once by splitting your query with comma (e.g. `str,u8` or `String,struct:Vec,test`)